For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETGet asset tree
      • POSTCreate an asset
      • PATCHUpdate asset
      • GETList asset-rate bracket relations
      • POSTCreate/update asset-rate bracket relations
      • GETGet asset hierarchy structure
      • GETGet asset rate bracket ID mappings
      • GETGet asset tree
      • GETGet organisations by product
Calculator
LogoLogo
EndpointsAssets

List asset-rate bracket relations

GET
https://api.finput.com.au/api/v1/assets/relations
GET
/api/v1/assets/relations
$curl https://api.finput.com.au/api/v1/assets/relations \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": 1,
4 "asset": "asset",
5 "asset_id": 1,
6 "organisation": "organisation",
7 "organisation_id": 1,
8 "product": "product",
9 "product_id": 1,
10 "rate_bracket": "rate_bracket",
11 "rate_bracket_id": 1,
12 "created_at": "2024-01-15T09:30:00Z",
13 "updated_at": "2024-01-15T09:30:00Z"
14 }
15]
Was this page helpful?
Previous

Create/update asset-rate bracket relations

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

List of relations
idinteger
assetstring
Asset name
asset_idinteger
organisationstring
Organisation name
organisation_idinteger
productstring
Product name
product_idinteger
rate_bracketstring
Rate bracket name
rate_bracket_idinteger
created_atdatetimeDefaults to 1970-01-01T00:00:00.000Z
updated_atdatetimeDefaults to 1970-01-01T00:00:00.000Z